Subject: strange keybindings - patch

From: Martin Renold <[email-masked]>
Date: Fri, 2 Aug 2002 21:07:37 +0200

Hi there,

I just tried fvwm, and decided have a closer look.

So I wrote a config file to get the same keybindings as I use in wmaker,
but suddenly found the "s"-key was now bound to one of my actions too.

The problem was that the "section" keysym I used is bound on the german
keyboard also to the "s"-key in combination with some unknown modifier
(I've never used this). It is the same with some other keys.

A simple patch is attached. Please CC me any response, I am not
subscribed to the list.

bye,
Martin
-- 
Looking for a helping hand? There's one on your arm.
? patchfile
Index: libs/Bindings.c
===================================================================
RCS file: /home/cvs/fvwm/fvwm/libs/Bindings.c,v
retrieving revision 1.50
diff -u -r1.50 Bindings.c
--- libs/Bindings.c	2002/06/26 13:42:40	1.50
+++ libs/Bindings.c	2002/08/02 18:40:49
@@ -426,10 +426,12 @@
 	  break;
 	default:
 	  /* key generates the key sym with unknown modifiers depressed -
-	  * can't map that to specific modifiers - trat as no modifiers */
+          * can't map that to specific modifiers so do not bind. */
+	  bind_mask = 0;
 	  break;
 	}
-	if ((bind_mask & bound_mask) || (check_bound_mask & bound_mask))
+	if ((bind_mask == 0) || 
+	    (bind_mask & bound_mask) || (check_bound_mask & bound_mask))
 	{
 	  /* already bound, break out */
 	  break;